curl --request GET \
--url https://web-scraping-api2.p.rapidapi.com/get-extra-profile-data \
--header 'x-rapidapi-key: <api-key>'import requests
url = "https://web-scraping-api2.p.rapidapi.com/get-extra-profile-data"
headers = {"x-rapidapi-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-rapidapi-key': '<api-key>'}};
fetch('https://web-scraping-api2.p.rapidapi.com/get-extra-profile-data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": null,
"message": "Bad request: Invalid linkedin_url."
}{
"data": null,
"message": "The url was not found on Linkedin."
}{
"data": null,
"message": "System error. We will fix it soon!"
}Get Extra Profile Data
-
Get extra profile data sections by LinkedIn Sales Navigator URN (vmid).
-
Credit cost: 1 credit per section included.
Examples:
-
include_certificationsonly → 1 credit -
include_certifications+include_organizations→ 2 credits -
include_certifications+include_organizations+include_patents→ 3 credits -
include_certifications+include_organizations+include_patents+include_projects→ 4 credits -
include_certifications+include_organizations+include_patents+include_projects+include_volunteers→ 5 credits
Authorizations
Query Parameters
The LinkedIn Sales Navigator URN (vmid) of the profile. Example: ACwAAALW9HABcVdR-UuroyOHoL2iuUob1F_yDRY
Whether to include certifications.
true, false "false"
Whether to include publications.
true, false "false"
Whether to include honors and awards.
true, false "false"
Whether to include volunteer experience.
true, false "false"
Whether to include projects.
true, false "false"
Whether to include patents.
true, false "false"
Whether to include courses.
true, false "false"
Whether to include organizations.
true, false "false"
Whether to include languages.
true, false "false"
Whether to include the profile status.
true, false "false"
Response
Extra profile data response
